<?php
/**
 * @package     Joomla.Site
 * @subpackage  mod_articles_category
 * @Author 	    web-eau.net
 * @copyright   Copyright (C) 2005 - 2018 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

?>

<div class="container category-module<?php echo $moduleclass_sfx; ?>">
    <div class="row flex-column-reverse flex-md-row">
		
		<?php foreach ($list as $item) : ?>
		
        <div class="col-md-4"> <!-- 3 items in a row -->
            <div class="card"> 
			
				<div class="card-header">
                    <?php
					$article_images  = json_decode($item->images);
					$article_image   = '';
					$article_image_alt   = '';
					if(isset($article_images->image_intro) && !empty($article_images->image_intro)) {
						$article_image  = $article_images->image_intro;
						$article_image_alt  = $article_images->image_intro_alt;
					}?>  					
											
					<img class="card-img" src="<?php echo $article_image; ?>" alt="<?php echo $article_image_alt; ?>" >
				</div>
				
				<div class="card-body">				
			
					<?php if ($params->get('link_titles') == 1) : ?>
						<h2 class="card-title">
							<a class="mod-articles-category-title <?php echo $item->active; ?>" href="<?php echo $item->link; ?>"><?php echo $item->title; ?></a>
						</h2>
					<?php else : ?>
						<h2 class="card-title"><?php echo $item->title; ?></h2>
					<?php endif; ?>

					<div class="container">
						<div class="row">
						
							<div class="col-4 metadata">
								<i class="fa fa-star" aria-hidden="true"></i> 
								<?php $item->urls = new JRegistry($item->urls); ?>
								<p><?php echo $item->urls->get('urlatext'); ?></p>
							</div>
							<div class="col-8 metadata">
								<?php if ($item->displayCategoryTitle) : ?>
									<span class="mod-articles-category-category">
										<small><?php echo $item->displayCategoryTitle; ?></small>
									</span>
								<?php endif; ?>
							</div>
						</div>
					</div> 
					
					<?php if ($params->get('show_introtext')) : ?>
						<p class="card-text mod-articles-category-introtext">
							<?php echo $item->displayIntrotext; ?>
						</p>
					<?php endif; ?>
					<a class="trailer-preview" href="<?php echo $item->urls->get('urlbtext'); ?>" target="new"> 
						<i class="fa fa-play" aria-hidden="true"></i>
					</a>
					
				</div>
			</div>
		</div>
		<?php endforeach; ?>
	</div>
</div>